<template>
	<div class="demo-content mdc-typography">
		<side-bar></side-bar>
		<main class="main-content">
			<div class="theme-builder-desc-banner mdc-typography--caption">
				Build your own custom Material theme by <a href="https://glitch.com/edit/#!/remix/material-theme-builder">remixing</a> and styling these themeable components.
			</div>
			<div class="row">
				<m-map :markers="mapMarkers" height="400px"></m-map>
			</div>
			<div class="row">
				<!-- Top app bar -->
				<section class="component-section">
					<div class="section-header">
						<a href="https://material.io/design/components/app-bars-top.html" class="mdc-typography--button" target="_blank">
							Top App Bar
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper top-bar-component-wrapper">
						<nav-bar ></nav-bar>
					</div>
				</section>
			</div>

			<div class="column">
				<!-- Button -->
				<section class="component-section">
					<div class="section-header">
						<a href="https://material.io/design/components/buttons.html" class="mdc-typography--button" target="_blank">
							Button
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper button-component-wrapper">
						<m-button >Default</m-button>

						<m-button raised>Raised</m-button>

						<m-button outlined>Default</m-button>
					</div>

					<div class="component-wrapper button-component-wrapper">
						<m-button class="mdc-button--shaped">Default</m-button>

						<m-button raised class="mdc-button--shaped">Raised</m-button>

						<m-button outlined class="mdc-button--shaped">Outlined</m-button>
					</div>
				</section>

				<!-- Drawer -->
				<section class="component-section">
					<div class="section-header">
						<a href="https://material.io/design/components/navigation-drawer.html" class="mdc-typography--button" target="_blank">
							Drawer
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper drawer-component-wrapper">
						<m-top-app-bar title="Drawer menu">
							<button slot="navigation" class="material-icons mdc-top-app-bar__navigation-icon" @click="isOpenDrawer = !isOpenDrawer">menu</button>
							<m-icon
								icon="file_download"
								slot="actions"/>
						</m-top-app-bar>
						<!-- will replace 	aside by 	m-drawer tag	-->
						<aside class="mdc-drawer " v-show="isOpenDrawer">
							<m-drawer-header>
								<h3 class="mdc-drawer__title">Headline 6</h3>
								<h6 class="mdc-drawer__subtitle">Body 2</h6>
							</m-drawer-header>
							<hr class="mdc-list-divider">
							<m-drawer-content>
								<m-drawer-list>
									<m-list-item activated aria-selected="true" >
										<i slot="graphic" class="material-icons mdc-list-item__graphic" aria-hidden="true">inbox</i>
										Body
									</m-list-item>
									<m-list-item>
										<i slot="graphic" class="material-icons mdc-list-item__graphic" aria-hidden="true">star</i>
										<span class="mdc-list-item__text">Body 2</span>
									</m-list-item>
									<m-list-item >
										<i class="material-icons mdc-list-item__graphic" aria-hidden="true">bookmark</i>
										<span class="mdc-list-item__text">Body 2</span>
									</m-list-item>
									<m-list-item>
										<i slot="graphic" class="material-icons mdc-list-item__graphic" aria-hidden="true">send</i>
										<span class="mdc-list-item__text">Body 2</span>
									</m-list-item>
									<m-list-item >
										<i slot="graphic" class="material-icons mdc-list-item__graphic" aria-hidden="true">drafts</i>
										<span class="mdc-list-item__text">Body 2</span>
									</m-list-item>
								</m-drawer-list>
							</m-drawer-content>
						</aside>
					</div>
				</section>

				<div class="component-section-row">
					<!-- Menu -->
					<section class="component-section menu-section">
						<div class="section-header">
							<a href="https://material.io/design/components/menus.html" class="mdc-typography--button" target="_blank">
								Menu
								<i class="material-icons">open_in_new</i>
							</a>
						</div>
						<div class="component-wrapper">
							<m-menu-anchor>
								<m-button raised @click="isMenuOpen=true" >Menu</m-button>
								<m-menu class="mdc-autocomplete-menu" v-model="isMenuOpen" hoistToBody wrapFocus >
									<m-list>
										<m-list-item>Entry 1</m-list-item>
										<m-list-divider/>
										<m-list-item>Entry 2</m-list-item>
										<m-list-item>Body 1</m-list-item>
										<m-list-item>Body 2</m-list-item>

									</m-list>
								</m-menu>
							</m-menu-anchor>
						</div>
					</section>
				</div>

				<!-- Linear progress -->
				<section class="component-section linear-progress-section">
					<div class="section-header">
						<a href="https://material.io/design/components/progress-indicators.html#linear-progress-indicators" class="mdc-typography--button" target="_blank">
							Linear Progress
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper linear-progress-component-wrapper">
						<m-linear-progress
							:open="isProgressOpen"
							:progress="0.5"
							:buffer="0.5"
							indeterminate/>
					</div>
				</section>

				<div class="component-section-row switch-checkbox-row">
					<!-- Switch -->
					<section class="component-section switch-section">
						<div class="section-header">
							<a href="https://material.io/design/components/selection-controls.html#switches" class="mdc-typography--button" target="_blank">
								Switch
								<i class="material-icons">open_in_new</i>
							</a>
						</div>
						<h4 class="section-header-1"> Selected is array</h4>
						<div class="component-wrapper switch-component-wrapper">
							<mc-switch :value="switchModel.demo1.values[0]" v-model="switchModel.demo1.selected" @change="onSwitchChange"></mc-switch>
							<mc-switch :value="switchModel.demo1.values[1]" v-model="switchModel.demo1.selected" @change="onSwitchChange"></mc-switch>
						</div>
						<h4 class="section-header-1"> Selected is checked</h4>
						<div class="component-wrapper switch-component-wrapper">
							<mc-switch v-model="switchModel.demo2.value1" @change="onSwitchChange"></mc-switch>
							<mc-switch v-model="switchModel.demo2.value2" @change="onSwitchChange"></mc-switch>
						</div>
					</section>

					<!-- Checkbox -->
					<section class="component-section">
						<div class="section-header">
							<a href="https://material.io/design/components/selection-controls.html#checkboxes" class="mdc-typography--button" target="_blank">
								Checkbox
								<i class="material-icons">open_in_new</i>
							</a>
						</div>
						<h4 class="section-header-1"> Selected is array</h4>
						<div class="component-wrapper checkbox-component-wrapper">
							<mc-checkbox :value="checkedModel.demo1.values[0]" v-model="checkedModel.demo1.selected" @change="onCheckBoxChange"></mc-checkbox>
							<mc-checkbox :value="checkedModel.demo1.values[1]" v-model="checkedModel.demo1.selected" @change="onCheckBoxChange"></mc-checkbox>
						</div>
						<h4 class="section-header-1"> Selected is checked</h4>
						<div class="component-wrapper checkbox-component-wrapper">
							<mc-checkbox v-model="checkedModel.demo2.value1" @change="onCheckBoxChange"></mc-checkbox>
							<mc-checkbox v-model="checkedModel.demo2.value2" @change="onCheckBoxChange"></mc-checkbox>
						</div>
					</section>
				</div>

				<div class="component-section-row radio-row">
					<!-- Radio -->
					<section class="component-section">
						<div class="section-header">
							<a href="https://material.io/design/components/selection-controls.html#radio-buttons" class="mdc-typography--button" target="_blank">
								Radio Button
								<i class="material-icons">open_in_new</i>
							</a>
						</div>
						<div class="component-wrapper radio-component-wrapper">
							<m-radio id="radio-1" :value="radioModel.values[0]" v-model="radioModel.selected">
								<label for="radio-1">Radio 1</label>
							</m-radio>
							<m-radio id="radio-2" :value="radioModel.values[1]" v-model="radioModel.selected">
								<label for="radio-2">Radio 2</label>
							</m-radio>
						</div>
					</section>

					<!-- Icon button -->
					<section class="component-section">
						<div class="section-header">
							<a href="https://material.io/design/components/buttons.html#toggle-button" class="mdc-typography--button" target="_blank">
								Icon Button
								<i class="material-icons">open_in_new</i>
							</a>
						</div>
						<div class="component-wrapper button-component-wrapper">
							<m-button icon>
								<i class="material-icons mdc-icon-button__icon mdc-icon-button__icon--on">music_off</i>
								<i class="material-icons mdc-icon-button__icon">music_note</i>
							</m-button>

							<m-button class="material-icons" icon>
								favorite_border
							</m-button>

						</div>
					</section>
				</div>

				<!-- Chips -->
				<section class="component-section">
					<div class="section-header">
						<a href="https://material.io/design/components/chips.html" class="mdc-typography--button" target="_blank">
							Chips
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper chips-component-wrapper chips-component-wrapper-1">
						<div class="mdc-chip-set mdc-chip-set--choice">
							<div class="mdc-chip mdc-chip--selected" tabindex="0">
								<div class="mdc-chip__text">Body 2</div>
							</div>
							<div class="mdc-chip" tabindex="0">
								<div class="mdc-chip__text">Body 2</div>
							</div>
							<div class="mdc-chip" tabindex="0">
								<div class="mdc-chip__text">Body 2</div>
							</div>
						</div>
					</div>
					<div class="component-wrapper chips-component-wrapper chips-component-wrapper-2">
						<div class="mdc-chip-set mdc-chip-set--filter">
							<div class="mdc-chip">
								<div class="mdc-chip__checkmark" >
									<svg class="mdc-chip__checkmark-svg" viewbox="-2 -3 30 30">
										<path class="mdc-chip__checkmark-path" fill="none" stroke="black" d="M1.73,12.91 8.1,19.28 22.79,4.59"/>
									</svg>
								</div>
								<div class="mdc-chip__text">Body 2</div>
							</div>
							<div class="mdc-chip mdc-chip--selected">
								<div class="mdc-chip__checkmark" >
									<svg class="mdc-chip__checkmark-svg" viewbox="-2 -3 30 30">
										<path class="mdc-chip__checkmark-path" fill="none" stroke="black" d="M1.73,12.91 8.1,19.28 22.79,4.59"/>
									</svg>
								</div>
								<div class="mdc-chip__text">Body 2</div>
							</div>
							<div class="mdc-chip mdc-chip--selected">
								<div class="mdc-chip__checkmark" >
									<svg class="mdc-chip__checkmark-svg" viewbox="-2 -3 30 30">
										<path class="mdc-chip__checkmark-path" fill="none" stroke="black" d="M1.73,12.91 8.1,19.28 22.79,4.59"/>
									</svg>
								</div>
								<div class="mdc-chip__text">Body 2</div>
							</div>
						</div>
					</div>
				</section>

			</div>
			<div class="column column-2">
				<!-- Select -->
				<div class="component-section-row">
					<section class="component-section select-component">
						<div class="section-header">
							<a href="https://material.io/develop/web/components/input-controls/select-menus/" class="mdc-typography--button" target="_blank">
								Select
								<i class="material-icons">open_in_new</i>
							</a>
						</div>

						<div class="component-wrapper">
							<!-- Filled  -->
							<mc-select id="select-1">
								<option value="grains">Bread, Cereal</option>
								<option value="vegetables">Vegetables</option>
								<option value="fruit">Fruit</option>
								<label class="mdc-floating-label" slot="label">
									Filled
								</label>
								<div class="mdc-line-ripple" slot="line"></div>
							</mc-select>
						</div>
						<div class="component-wrapper">
							<!-- Filled Enhanced -->
							<mc-select id="select-2" enhanced>
								<li class="mdc-list-item" data-value="grains">
									Bread, Cereal
								</li>
								<li class="mdc-list-item" data-value="vegetables">
									Vegetables
								</li>
								<li class="mdc-list-item" data-value="fruit">
									Fruit
								</li>
								<label class="mdc-floating-label" slot="label">
									Filled Enhanced
								</label>
								<div class="mdc-line-ripple" slot="line"></div>
							</mc-select>
						</div>
					</section>

					<section class="component-section select-component">
						<div class="section-header"><!-- Hold space for layout --></div>
						<div class="component-wrapper">
							<!-- Outlined   -->
							<mc-select id="select-3" outlined>
								<option value="grains">Bread, Cereal, Rice, and Pasta</option>
								<option value="vegetables">Vegetables</option>
								<option value="fruit">Fruit</option>
								<label class="mdc-floating-label" slot="label">
									Outlined
								</label>
							</mc-select>
						</div>
						<div class="component-wrapper">
							<!-- Outlined   Enhanced-->
							<mc-select id="select-4" outlined enhanced>
								<li class="mdc-list-item" data-value="grains">
									Bread, Cereal
								</li>
								<li class="mdc-list-item" data-value="vegetables">
									Vegetables
								</li>
								<li class="mdc-list-item" data-value="fruit">
									Fruit
								</li>
								<label class="mdc-floating-label" slot="label">
									Outlined Enhanced
								</label>
							</mc-select>
						</div>
					</section>
				</div>

				<!-- Autocomplete -->
				<section class="component-section text-field-component-wrapper">
					<div class="section-header">
						Autocomplete
					</div>

					<div class="component-wrapper">
						<!-- Outlined   Enhanced-->
						<mc-autocomplete outlined id="autocomplete-1" :options="autoOptions"  v-model="autoSelected" v-on:change="onAutoCompleteChange">
							<m-floating-label for="autocomplete-1" slot="label">Float label</m-floating-label>
						</mc-autocomplete>
					</div>

					<div class="component-wrapper">
						<!-- Outlined   Enhanced-->
						<mc-autocomplete outlined id="autocomplete-2" placeholder="Placeholder" :options="autoOptions" v-model="autoSelected">
						</mc-autocomplete>
					</div>
				</section>
				<!-- Text field -->
				<section class="component-section">
					<div class="section-header">
						<a href="https://material.io/design/components/text-fields.html" class="mdc-typography--button" target="_blank">
							Text field
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper text-field-component-wrapper text-field-component-wrapper-1">
						<m-text-field id="text-field-1" >
							<m-floating-label for="text-field-1">Text field</m-floating-label>
							<m-line-ripple slot="bottomLine"/>
						</m-text-field>
						<m-text-field-helper-text>Helper for </m-text-field-helper-text>
					</div>
					<div class="component-wrapper text-field-component-wrapper text-field-component-wrapper-1">
						<m-text-field id="text-field-1" outlined class="mdc-text-field-outlined-shaped">
							<m-floating-label for="text-field-1">Text field</m-floating-label>
						</m-text-field>
						<m-text-field-helper-text>Helper for </m-text-field-helper-text>
					</div>
					<div class="component-wrapper text-field-component-wrapper text-field-component-wrapper-2">
						<mc-text-field
							id="outlined"  label="Outlined">
						</mc-text-field>
					</div>
					<div class="component-wrapper text-field-component-wrapper text-field-component-wrapper-2">
						<mc-text-field
							outlined
							id="placeholder" class="mdc-text-field-outlined-shaped" placeholder="Placeholder">
						</mc-text-field>
					</div>
				</section>

				<!-- Slider -->
				<section class="component-section">
					<div class="section-header">
						<a href="https://material.io/design/components/sliders.html" class="mdc-typography--button" target="_blank">
							Slider
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper">
						<m-slider v-model="sliderModel" :min="0" :max="50" :step="0.5" />
						<m-slider discrete v-model="sliderModel" :min="0" :max="50" />
						<m-slider discrete displayMarkers v-model="sliderModel" :min="0" :max="50" :step="5"/>
					</div>
				</section>

				<!-- Dialog -->
				<section class="component-section dialog-component-section">
					<div class="section-header">
						<a href="https://material.io/design/components/dialogs.html" class="mdc-typography--button" target="_blank">
							Dialog
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper dialog-component-wrapper">
						<m-button raised @click="isDialogOpen=true">Dialog</m-button>
						<m-button raised @click="isConfirmDialogOpen=true">Confirm Dialog</m-button>
						<m-dialog
							v-model="isDialogOpen"
							@closed="onDialogClosed" scrollable>
							<m-typo-headline :level="5" slot="header">Header</m-typo-headline>
							<m-typo-body :level="1" slot="body">Body</m-typo-body>
							<m-button
								class="mdc-dialog__button"
								data-mdc-dialog-action="Cancel"
								slot="cancelButton">
								Cancel
							</m-button>
							<m-button
								class="mdc-dialog__button"
								data-mdc-dialog-action="OK"
								slot="acceptButton">
								OK
							</m-button>
						</m-dialog>
						<mc-dialog-confirm
							v-model="isConfirmDialogOpen"
							@closed="onDialogClosed" scrollable>
							<m-typo-headline :level="5" slot="header">Confirm Dialog</m-typo-headline>
							<section :level="1" slot="body">
								<m-list>
									<m-list-item>
										<span slot="graphic" >
											<m-radio id="radio-confirm-1" name="confirm-1"/>
										</span>
										<label for="radio-confirm-1">Confirm 1</label>
									</m-list-item>
									<m-list-item>
										<span slot="graphic" >
											<m-radio id="radio-confirm-2" name="confirm-1"/>
										</span>
										<label for="radio-confirm-2">Confirm 1</label>
									</m-list-item>
								</m-list>
							</section>
							<m-button
								class="mdc-dialog__button"
								data-mdc-dialog-action="Cancel"
								slot="cancelButton">
								Cancel
							</m-button>
							<m-button
								class="mdc-dialog__button"
								data-mdc-dialog-action="OK"
								slot="acceptButton">
								OK
							</m-button>
						</mc-dialog-confirm>
					</div>
				</section>

				<!-- List -->
				<section class="component-section list-section">
					<div class="section-header">
						<a href="https://material.io/design/components/lists.html" class="mdc-typography--button" target="_blank">
							List
							<i class="material-icons">open_in_new</i>
						</a>
					</div>
					<div class="component-wrapper">
						<m-list avatar>
							<m-list-group>
								<m-list-group-subheader>
									One Line
								</m-list-group-subheader>
								<m-list-item>
									Item 1
								</m-list-item>
							</m-list-group>
							<m-list-group-divider />
							<m-list-group>
								<m-list-group-subheader>
									Two line
								</m-list-group-subheader>

								<m-list-item>
									<span slot="primaryText">First-line text</span>
									<span slot ="secondaryText">Second-line text</span>
								</m-list-item>
							</m-list-group>
							<m-list-group>
								<m-list-group-subheader>
									Graphic at start
								</m-list-group-subheader>

								<m-list-item>
									<span class="mdc-list-item__graphic material-icons" aria-hidden="true" slot="graphic">child_care</span>
									Item 2
								</m-list-item>
							</m-list-group>
							<m-list-group>
								<m-list-group-subheader>
									Meta at the end
								</m-list-group-subheader>

								<m-list-item>
									Item 3
									<span class="mdc-list-item__meta material-icons" aria-hidden="true" slot="meta">info</span>
								</m-list-item>
							</m-list-group>
						</m-list>
					</div>
				</section>
			</div>
		</main>
	</div>
</template>

<script src="./Example.js"></script>
